uuid: 974ad631-046b-4748-b335-19bffff50743
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_annual_report
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7
label: 'Nodes (Annual Reports)'
source:
  plugin: d7_node
  node_type: annual_report
process:
  nid:
    -
      plugin: get
      source: tnid
  vid:
    -
      plugin: get
      source: vid
  langcode:
    -
      plugin: default_value
      source: language
      default_value: und
  title:
    -
      plugin: get
      source: title
  uid:
    -
      plugin: get
      source: node_uid
  status:
    -
      plugin: get
      source: status
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  promote:
    -
      plugin: get
      source: promote
  sticky:
    -
      plugin: get
      source: sticky
  revision_uid:
    -
      plugin: get
      source: revision_uid
  revision_log:
    -
      plugin: get
      source: log
  revision_timestamp:
    -
      plugin: get
      source: timestamp
  comment_node_annual_report/0/status:
    -
      plugin: get
      source: comment
  body:
    -
      plugin: get
      source: body
  field_annual_image:
    -
      plugin: sub_process
      source: field_annual_image
      process:
        target_id: fid
        alt: alt
        title: title
        width: width
        height: height
  field_annual_download:
    -
      plugin: get
      source: field_annual_download
  field_annual_year:
    -
      plugin: sub_process
      source: field_annual_year
      process:
        value:
          plugin: format_date
          from_format: 'Y-m-d H:i:s'
          to_format: Y-m-d
          source: value
  field_annual_document:
    -
      plugin: sub_process
      source: field_annual_document
      process:
        target_id: fid
        display: display
        description: description
destination:
  plugin: 'entity:node'
  default_bundle: annual_report
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_node_type
  optional:
    - upgrade_d7_field_instance
    - upgrade_d7_comment_field_instance
